summaryrefslogtreecommitdiffstats
path: root/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/usb_modeswitch/usb_modeswitch.SlackBuild')
-rwxr-xr-xsource/a/usb_modeswitch/usb_modeswitch.SlackBuild18
1 files changed, 13 insertions, 5 deletions
diff --git a/source/a/usb_modeswitch/usb_modeswitch.SlackBuild b/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
index a75620e80..97392fc1e 100755
--- a/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
+++ b/source/a/usb_modeswitch/usb_modeswitch.SlackBuild
@@ -1,6 +1,8 @@
#!/bin/bash
-# Copyright 2010, 2012, 2013, 2015, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Slackware build script for usb_modeswitch.
+
+# Copyright 2010, 2012, 2013, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# Copyright 2010 David Somero, Athens, TN, USA
# All rights reserved.
#
@@ -24,9 +26,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=usb_modeswitch
-VERSION=${VERSION:-2.6.0}
+VERSION=${VERSION:-2.5.2}
DATAVER=${DATAVER:-20191128}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,7 +72,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCPKGNAM-$VERSION
-tar xvf $CWD/$SRCPKGNAM-$VERSION.tar.?z || exit 1
+tar xvf $CWD/$SRCPKGNAM-$VERSION.tar.?z* || exit 1
cd $SRCPKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -80,6 +82,8 @@ find . \
-exec chmod 644 {} \+
make clean || exit 1
+# "make static" uses the embedded "jim" Tcl interpreter
+make static || exit 1
make \
DESTDIR=$PKG \
@@ -112,6 +116,10 @@ cp -a \
$PKG/usr/doc/$PKGNAM-$VERSION
# http://www.draisberghof.de/usb_modeswitch/device_reference.txt.gz
zcat $CWD/device_reference.txt.gz > $PKG/usr/doc/$PKGNAM-$VERSION/device_reference.txt
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/jim
+cp -a \
+ jim/{AUTHORS,LICENSE,README*} \
+ $PKG/usr/doc/$PKGNAM-$VERSION/jim
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
@@ -124,7 +132,7 @@ fi
# Now, install the data pack:
cd $TMP
rm -rf usb-modeswitch-data-${DATAVER}
-tar xvf $CWD/usb-modeswitch-data-${DATAVER}.tar.?z || exit 1
+tar xvf $CWD/usb-modeswitch-data-${DATAVER}.tar.?z* || exit 1
cd usb-modeswitch-data-${DATAVER} || exit 1
chown -R root:root .
find . \